# SoDecomposeRotation Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoDecomposeRotation:

List of all members.

## Detailed Description

The SoDecomposeRotation class is used to decompose a rotation into angle and axis.

## Public Attributes

SoMFRotation | rotation
SoEngineOutput | axis
SoEngineOutput | angle

## Member Data Documentation

SoMFRotation SoDecomposeRotation::rotation

| Input rotations to decompose into axis + angle values.

SoEngineOutput SoDecomposeRotation::axis

| (SoMFVec3f) The axis settings of the input rotations.

SoEngineOutput SoDecomposeRotation::angle

| (SoMFFloat) The angle values of the input rotations.

The documentation for this class was generated from the following files:

- SoDecomposeRotation.h
- SoDecomposeRotation.cpp